## ccss_block_t

ccss_block_t

## Functions

void | ccss_block_add_property ()

## Types and Values

typedef | ccss_block_t

## Description

## Functions

### ccss_block_add_property ()

    void
    ccss_block_add_property (ccss_block_t *self,
                             char const *property_name,
                             ccss_property_t *property);

Adds a property to a CSS block.

#### Parameters

self | a ccss_block_t. |
property_name | the property name, e.g. `background`-color. |
property | pointer to the property instance. |

## Types and Values

### ccss_block_t

    typedef struct ccss_block_ ccss_block_t;

Represents a block of CSS properties.